Download it now!
Bug 55417 - FILESAVE: export to xlsx of cell with cell style that has alignment fails
Summary: FILESAVE: export to xlsx of cell with cell style that has alignment fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.1 rc
Hardware: Other All
: medium major
Assignee: Noel Power
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-28 13:13 UTC by Noel Power
Modified: 2013-02-05 13:07 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
test document (4.52 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2012-09-28 15:52 UTC, Noel Power
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2012-09-28 13:13:29 UTC
exporting cell content that has a cell style which has alignment set results in a cell when read in Excel that no alignment is set
Comment 1 Noel Power 2012-09-28 13:23:01 UTC
(In reply to comment #0)
> exporting cell content that has a cell style which has alignment set results
> in a cell when read in Excel that no alignment is set

and in fact also no alignment set when reloaded into calc
Comment 2 Noel Power 2012-09-28 15:52:11 UTC
Created attachment 67831 [details]
test document

to repoduce, open the attached document, make some modification to the document, reload the document, you will notice the number is no longer centre justified
Comment 3 Not Assigned 2012-09-28 16:40:40 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78a102e2060a1a8fc003d91fa3193b2bfa841d26

fix xlsx export missing alignment attributes with cellstyle fdo#55417



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-11-05 17:13:50 UTC
Noel Power committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0678304aa69bc5f7bbbd0b6a79e12e875a6b0788&g=libreoffice-3-6

fix xlsx export missing alignment attributes with cellstyle fdo#55417


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Noel Power 2013-02-05 13:07:30 UTC
seems fixed